org.optaplanner.core.impl.solver

## Class EmptySolverFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.api.solver.SolverFactory<Solution_>
  - - org.optaplanner.core.impl.solver.AbstractSolverFactory<Solution_>
    - - org.optaplanner.core.impl.solver.EmptySolverFactory<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class EmptySolverFactory<Solution_>
      extends AbstractSolverFactory<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.solver.AbstractSolverFactory

      `solverConfig, solverConfigContext`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `EmptySolverFactory()`
    `` | `EmptySolverFactory(SolverConfigContext solverConfigContext)`
    `protected` | `EmptySolverFactory(SolverConfigContext solverConfigContext, SolverConfig solverConfig)`

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.solver.AbstractSolverFactory

      `buildSolver, cloneSolverFactory, getSolverConfig, getSolverConfigContext`

    - ### Methods inherited from class org.optaplanner.core.api.solver.SolverFactory

      `createEmpty, createEmpty, createEmptyFromKieContainer, createEmptyFromKieContainer, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromXmlFile, createFromXmlFile, createFromXmlInputStream, createFromXmlInputStream, createFromXmlReader, createFromXmlReader, createFromXmlResource, createFromXmlResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptySolverFactory

          public EmptySolverFactory()

    - #### EmptySolverFactory

          public EmptySolverFactory(SolverConfigContext solverConfigContext)

      Parameters:
        `solverConfigContext` - never null

    - #### EmptySolverFactory

          protected EmptySolverFactory(SolverConfigContext solverConfigContext,
                                       SolverConfig solverConfig)

      Parameters:
        `solverConfigContext` - never null
        `solverConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.